io.vertx.rxjava.ext.web.templ

## Class HandlebarsTemplateEngine

- java.lang.Object
- - io.vertx.rxjava.ext.web.templ.TemplateEngine
  - - io.vertx.rxjava.ext.web.templ.HandlebarsTemplateEngine

-     public class HandlebarsTemplateEngine
      extends TemplateEngine

  A template engine that uses the Handlebars library.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<HandlebarsTemplateEngine>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlebarsTemplateEngine(HandlebarsTemplateEngine delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HandlebarsTemplateEngine` | `create()` Create a template engine using defaults
    `HandlebarsTemplateEngine` | `getDelegate()`
    `static HandlebarsTemplateEngine` | `newInstance(HandlebarsTemplateEngine arg)`
    `HandlebarsTemplateEngine` | `setExtension(String extension)` Set the extension for the engine
    `HandlebarsTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine

    - ### Methods inherited from class io.vertx.rxjava.ext.web.templ.TemplateEngine

      `isCachingEnabled, newInstance, render, render, renderObservable, renderObservable, rxRender, rxRender`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<HandlebarsTemplateEngine> __TYPE_ARG

  - ### Constructor Detail

    - #### HandlebarsTemplateEngine

          public HandlebarsTemplateEngine(HandlebarsTemplateEngine delegate)

  - ### Method Detail

    - #### getDelegate

          public HandlebarsTemplateEngine getDelegate()

      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static HandlebarsTemplateEngine create()

      Create a template engine using defaults
      Returns:
        the engine

    - #### setExtension

          public HandlebarsTemplateEngine setExtension(String extension)

      Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          public HandlebarsTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static HandlebarsTemplateEngine newInstance(HandlebarsTemplateEngine arg)

Copyright © 2017. All rights reserved.